Skip to content
Open app

blobs.presign

POST /api/v1/blobs/presign. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board. Body…

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/blobspresign.mdtext/markdown
POST
/api/v1/blobs/presign
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/blobs/presign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "files": [ { "sha256": "example", "size": 1, "type": "example", "name": "example" } ] }'

An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board. Body limit: 256 KB.

Media typeapplication/json
object
board_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
files
required
Array<object>
>= 1 items <= 500 items
object
sha256
required
string
/^[a-f0-9]{64}$/
size
required
integer
<= 104857600
type
required
string
>= 1 characters <= 200 characters
name
string
>= 1 characters <= 255 characters

Example generated

{
"board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"files": [
{
"sha256": "example",
"size": 1,
"type": "example",
"name": "example"
}
]
}

Success.

Media typeapplication/json
object
blobs
required
Array<object>
object
sha256
required
string
/^[a-f0-9]{64}$/
status
required
string
Allowed values: missing present
upload
required
Any of:
object
url
required
string format: uri
headers
required
object
key
additional properties
string
expires_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$/
suggested_path
required
string | null
preview_url
required
string format: uri

Example

{
"blobs": [
{
"status": "missing"
}
]
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}